"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactScroll = require("react-scroll");

var _classnames = _interopRequireDefault(require("classnames"));

var _reactIntl = require("react-intl");

var _config = require("../../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var Action =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Action, _React$Component);

  function Action() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, Action);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = Action.__proto__ || Object.getPrototypeOf(Action)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "RouteLink", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: (0, _config.getRouteLink)()
    }), _temp));
  }

  _createClass(Action, [{
    key: "render",
    value: function render() {
      // console.log('link', this.props.children)
      var _props = this.props,
          to = _props.to,
          href = _props.href,
          scrollTo = _props.scrollTo,
          _className = _props.className,
          children = _props.children,
          action = _props.action,
          dispatch = _props.dispatch,
          intl = _props.intl,
          props = _objectWithoutProperties(_props, ["to", "href", "scrollTo", "className", "children", "action", "dispatch", "intl"]);

      var className = (0, _classnames.default)('link', _className);

      if (scrollTo) {
        return _react.default.createElement(_reactScroll.Action, _extends({}, props, {
          "data-component": "ScrollAction",
          href: "#",
          className: className,
          to: scrollTo
        }), children);
      }

      if (to) {
        var RouteLink = this.RouteLink;

        var _to = /^intl:/g.test(to) ? intl.formatMessage({
          id: to.replace(/^intl:/, '')
        }) : to;

        return _react.default.createElement(RouteLink, _extends({}, props, {
          className: className,
          "data-component": "RouteLink",
          to: _to,
          action: action
        }), children);
      }

      if (action) {
        if (!dispatch) {
          throw new Error('Cannot use action if Component not in Redux Tree');
        }

        return _react.default.createElement("a", _extends({}, props, {
          "data-component": "ActionAction",
          className: className,
          onClick: function onClick() {
            return dispatch(action);
          }
        }), children);
      }

      var _href = href && /^intl:/g.test(href) ? intl.formatMessage({
        id: href.replace(/^intl:/, '')
      }) : href;

      return _react.default.createElement("a", _extends({}, props, {
        "data-component": "Action",
        className: className,
        href: _href
      }), children);
    }
  }]);

  return Action;
}(_react.default.Component);

var _default = (0, _reactIntl.injectIntl)(Action);

exports.default = _default;