"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeStories = exports.getStories = exports.getBehavior = exports.setLocalStorage = exports.removeLocalStorage = exports.getLocalStorage = exports.isJson = exports.updateUrl = exports.sendRequest = void 0;

var _axios = _interopRequireDefault(require("axios"));

var _lodash = _interopRequireDefault(require("lodash.merge"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var prefixKey = 'form';

var sendRequest = function sendRequest(_ref) {
  var values = _ref.values,
      _ref$method = _ref.method,
      method = _ref$method === void 0 ? 'post' : _ref$method,
      endpoint = _ref.endpoint,
      hiddenValues = _ref.hiddenValues,
      urlValues = _ref.urlValues,
      whenSuccess = _ref.whenSuccess,
      whenError = _ref.whenError;
  (0, _axios.default)({
    method: method,
    url: endpoint,
    data: _extends({}, values, hiddenValues, urlValues),
    headers: {
      'X-Requested-With': 'XMLHttpRequest'
    },
    responseType: 'json'
  }).then(function (response) {
    if (response && response.status === 200 && response.data) {
      whenSuccess();
    } else {
      whenError();
    }
  }).catch(function () {
    whenError();
  });
};

exports.sendRequest = sendRequest;

var updateUrl = function updateUrl(_ref2) {
  var values = _ref2.values,
      hiddenValues = _ref2.hiddenValues;
  // TODO: handle update url
  console.log({
    values: values,
    hiddenValues: hiddenValues
  }, 'updateUrl');
};

exports.updateUrl = updateUrl;

var isJson = function isJson(d) {
  try {
    var j = JSON.parse(d);
    return true;
  } catch (err) {
    return false;
  }
};

exports.isJson = isJson;

var getLocalStorage = function getLocalStorage(n) {
  if (!window) return false; // return dotProp(window.localStorage, `${prefixKey}.${n}`)

  var d = window.localStorage["".concat(prefixKey, ".").concat(n)];
  return isJson(d) && JSON.parse(d) || {};
};

exports.getLocalStorage = getLocalStorage;

var removeLocalStorage = function removeLocalStorage(n) {
  if (!window) return false;
  window.localStorage["".concat(prefixKey, ".").concat(n)] = undefined; // window.localStorage = dotProp.delete(window.localStorage, `${prefixKey}.${n}`)

  return true;
};

exports.removeLocalStorage = removeLocalStorage;

var setLocalStorage = function setLocalStorage(_ref3) {
  var name = _ref3.name,
      values = _ref3.values,
      hiddenValues = _ref3.hiddenValues,
      whenSuccess = _ref3.whenSuccess,
      whenError = _ref3.whenError;
  if (!window) return whenError();
  window.localStorage["".concat(prefixKey, ".").concat(name)] = JSON.stringify(_extends({}, values, hiddenValues));
  return whenSuccess();
};

exports.setLocalStorage = setLocalStorage;

var getBehavior = function getBehavior(_ref4) {
  var onSuccess = _ref4.onSuccess,
      messageOnSuccess = _ref4.messageOnSuccess,
      directOnSuccess = _ref4.directOnSuccess,
      onError = _ref4.onError,
      messageOnError = _ref4.messageOnError,
      directOnError = _ref4.directOnError,
      directHandler = _ref4.directHandler;

  // TODO: will update here
  var success = function success() {
    if (onSuccess) onSuccess();
    if (messageOnSuccess) alert(messageOnSuccess);

    if (directOnSuccess) {
      return directHandler && directHandler(directOnSuccess) || window.location.replace(directOnSuccess);
    }

    return true;
  };

  var error = function error() {
    if (onError) onError();
    if (messageOnError) alert(messageOnError);

    if (directOnError) {
      return directHandler && directHandler(directOnError) || window.location.replace(directOnError);
    }

    return true;
  };

  return {
    success: success,
    error: error
  };
};

exports.getBehavior = getBehavior;

var getStories = function getStories(_ref5) {
  var sources = _ref5.sources,
      formStore = _ref5.formStore;
  return sources.map(function () {
    var _ref6 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        s = _ref6.source,
        f = _ref6.form;

    return s === 'local' ? getLocalStorage(f) : formStore[f];
  });
};

exports.getStories = getStories;

var mergeStories = function mergeStories(stories) {
  var object = {};
  stories.map(function (s) {
    return (0, _lodash.default)(object, s);
  });
  return object;
};

exports.mergeStories = mergeStories;