"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _recompose = require("recompose");

var _Icon = _interopRequireDefault(require("../Icon"));

var _reactCollapse = require("react-collapse");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Collapse(_ref) {
  var icon = _ref.icon,
      label = _ref.label,
      children = _ref.children,
      isOpened = _ref.isOpened,
      _ref$openedIcon = _ref.openedIcon,
      openedIcon = _ref$openedIcon === void 0 ? 'fa-angle-up' : _ref$openedIcon,
      _ref$closedIcon = _ref.closedIcon,
      closedIcon = _ref$closedIcon === void 0 ? 'fa-angle-down' : _ref$closedIcon,
      hasNestedCollapse = _ref.hasNestedCollapse,
      open = _ref.open,
      theme = _ref.theme;
  return _react.default.createElement("div", {
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.header,
    onClick: function onClick() {
      if (open) open(!isOpened);
    }
  }, _react.default.createElement("div", {
    className: theme.labelWrapper
  }, icon && _react.default.createElement(_Icon.default, {
    className: theme.icon,
    icon: icon
  }), label && _react.default.createElement("span", {
    className: theme.label
  }, label)), _react.default.createElement("div", {
    className: theme.statusWrapper
  }, _react.default.createElement(_Icon.default, {
    icon: isOpened ? openedIcon : closedIcon
  }))), _react.default.createElement(_reactCollapse.Collapse, {
    theme: {
      collapse: theme.collapse,
      content: theme.content
    },
    isOpened: isOpened,
    hasNestedCollapse: hasNestedCollapse
  }, children));
}

var _default = (0, _recompose.compose)((0, _recompose.withState)('isOpened', 'open', function (props) {
  return props.isOpened;
}), (0, _reactCssThemr.themr)('Collapse', {}, {
  composeTheme: 'softly'
}))(Collapse);

exports.default = _default;