"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var Item = function Item(_ref) {
  var theme = _ref.theme,
      icon = _ref.icon,
      label = _ref.label,
      values = _ref.values;
  return _react.default.createElement("div", {
    className: theme.itemWrapper
  }, _react.default.createElement("div", {
    className: theme.labelWrapper
  }, icon && _react.default.createElement(_Icon.default, {
    icon: icon,
    className: theme.icon
  }), label && _react.default.createElement("span", {
    className: theme.label
  }, label)), _react.default.createElement("div", {
    className: theme.valueWrapper
  }, values.filter(function (x) {
    return x;
  }).map(function (value, idx) {
    return _react.default.createElement("div", {
      key: idx,
      className: theme.value
    }, value);
  })));
};

function ContactInfo(props) {
  var className = props.className,
      _address = props.address,
      _phone = props.phone,
      _email = props.email,
      _props$icons = props.icons,
      icons = _props$icons === void 0 ? {} : _props$icons,
      _props$labels = props.labels,
      labels = _props$labels === void 0 ? {} : _props$labels,
      _props$theme = props.theme,
      theme = _props$theme === void 0 ? {} : _props$theme,
      rest = _objectWithoutProperties(props, ["className", "address", "phone", "email", "icons", "labels", "theme"]);

  if (!_address && !_phone && !_email) return null;
  var address = Array.isArray(_address) ? _address : [_address];
  var phone = Array.isArray(_phone) ? _phone : [_phone];
  var email = Array.isArray(_email) ? _email : [_email];
  var list = {
    address: address,
    phone: phone,
    email: email
  };
  var keys = Object.keys(list);
  return _react.default.createElement("div", _extends({}, rest, {
    "data-component": "ContactInfo",
    className: (0, _classnames.default)(theme.root, className)
  }), keys.map(function (key) {
    var icon = icons[key];
    var label = labels[key];
    var values = list[key];
    return _react.default.createElement(Item, {
      key: key,
      icon: icon,
      label: label,
      values: values,
      theme: theme
    });
  }));
}

var _default = ContactInfo;
exports.default = _default;