"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _recompose = require("recompose");

var _reactRedux = require("react-redux");

var _dotPropImmutable = _interopRequireDefault(require("dot-prop-immutable"));

var _reactMotion = require("react-motion");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function Drawer(_ref) {
  var isOpened = _ref.isOpened,
      children = _ref.children,
      dispatch = _ref.dispatch,
      rest = _objectWithoutProperties(_ref, ["isOpened", "children", "dispatch"]);

  return _react.default.createElement(_reactMotion.Motion, {
    defaultStyle: {
      x: -100
    },
    style: {
      x: (0, _reactMotion.spring)(isOpened ? 0 : -100)
    }
  }, function (_ref2) {
    var x = _ref2.x;
    return _react.default.createElement("div", _extends({}, rest, {
      style: {
        transform: "translateY(".concat(x, "vh)")
      }
    }), children);
  });
}

var _default = (0, _recompose.compose)((0, _reactRedux.connect)(function (state, _ref3) {
  var name = _ref3.name;

  var isOpened = _dotPropImmutable.default.get(state, ['app', 'drawer', name]);

  return {
    isOpened: isOpened
  };
}), (0, _reactCssThemr.themr)('Drawer', {}, {
  composeTheme: 'softly'
}))(Drawer);

exports.default = _default;