"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _classnames = _interopRequireDefault(require("classnames"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var InputWrapper =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(InputWrapper, _React$PureComponent);

  function InputWrapper() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, InputWrapper);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = InputWrapper.__proto__ || Object.getPrototypeOf(InputWrapper)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "ref", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(ref) {
        _this.input = ref;
      }
    }), _temp));
  }

  _createClass(InputWrapper, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          icon = _props.icon,
          label = _props.label,
          meta = _props.meta,
          children = _props.children,
          theme = _props.theme,
          rest = _objectWithoutProperties(_props, ["icon", "label", "meta", "children", "theme"]);

      return _react.default.createElement("div", _extends({}, rest, {
        className: (0, _classnames.default)(theme.root),
        onClick: function onClick() {
          return _this2.input.focus();
        }
      }), !!label && _react.default.createElement("div", {
        className: theme.labelWrapper
      }, _react.default.createElement("label", {
        className: theme.label
      }, label)), _react.default.createElement("div", {
        className: theme.valueWrapper
      }, !!icon && _react.default.createElement(_Icon.default, {
        key: "icon",
        className: theme.icon,
        icon: icon
      }), _react.default.cloneElement(children, {
        ref: this.ref
      }), meta.error && _react.default.createElement("div", {
        className: theme.error
      }, meta.error)));
    }
  }]);

  return InputWrapper;
}(_react.default.PureComponent);

Object.defineProperty(InputWrapper, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    className: undefined,
    label: undefined
  }
});

var _default = (0, _reactCssThemr.themr)('InputWrapper', {}, {
  composeTheme: 'softly'
})(InputWrapper);

exports.default = _default;