"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCssThemr = require("react-css-themr");

var _classnames = _interopRequireDefault(require("classnames"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Radio =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(Radio, _React$PureComponent);

  function Radio() {
    _classCallCheck(this, Radio);

    return _possibleConstructorReturn(this, (Radio.__proto__ || Object.getPrototypeOf(Radio)).apply(this, arguments));
  }

  _createClass(Radio, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          field = _props.field,
          _props$options = _props.options,
          options = _props$options === void 0 ? [] : _props$options,
          icon = _props.icon,
          label = _props.label,
          error = _props.error,
          className = _props.className,
          theme = _props.theme,
          rest = _objectWithoutProperties(_props, ["field", "options", "icon", "label", "error", "className", "theme"]);

      return _react.default.createElement("div", {
        className: (0, _classnames.default)(theme.root, className) // onClick={() => this.ref.focus()}

      }, !!label && _react.default.createElement("div", {
        className: theme.labelWrapper
      }, _react.default.createElement("label", {
        className: theme.label,
        htmlFor: field
      }, label)), _react.default.createElement("div", {
        className: theme.valueWrapper
      }, !!icon && _react.default.createElement(_Icon.default, {
        key: "icon",
        className: theme.icon,
        icon: icon
      }), options.map(function (item) {
        return _react.default.createElement("div", {
          key: item.value,
          className: theme.row
        }, _react.default.createElement("input", _extends({}, rest, {
          type: "radio",
          className: theme.input,
          name: field,
          value: item.value
        })), _react.default.createElement("span", {
          className: theme.inputLabel
        }, item.label));
      }), error && _react.default.createElement("div", {
        className: theme.error
      }, error)));
    }
  }]);

  return Radio;
}(_react.default.PureComponent);

Object.defineProperty(Radio, "defaultProps", {
  configurable: true,
  enumerable: true,
  writable: true,
  value: {
    className: undefined,
    label: undefined
  }
});

var _default = (0, _reactCssThemr.themr)('Radio', {}, {
  composeTheme: 'softly'
})(Radio);

exports.default = _default;