"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactImages = _interopRequireDefault(require("react-images"));

var _ImageItem = _interopRequireDefault(require("../ImageItem"));

var _mergeTheme = _interopRequireDefault(require("../../helpers/mergeTheme"));

var _getImageLink = _interopRequireDefault(require("../../helpers/getImageLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ImageGallery =
/*#__PURE__*/
function (_PureComponent) {
  _inherits(ImageGallery, _PureComponent);

  function ImageGallery(props) {
    var _this;

    _classCallCheck(this, ImageGallery);

    _this = _possibleConstructorReturn(this, (ImageGallery.__proto__ || Object.getPrototypeOf(ImageGallery)).call(this, props));

    var _ref = props || {},
        items = _ref.items;

    var gallery = (items || []).map(function (_ref2) {
      var image = _ref2.image;
      if (!image) return null;
      var source = (0, _getImageLink.default)(_extends({}, image, {
        // boxSize: size,
        autoScale: true,
        usePlaceholder: true
      }));
      return {
        src: source && source.large || source
      };
    });
    _this.state = {
      gallery: gallery,
      opened: false,
      selected: 0
    };
    return _this;
  }

  _createClass(ImageGallery, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          items = _props.items,
          _props$theme = _props.theme,
          theme = _props$theme === void 0 ? {} : _props$theme;
      var _state = this.state,
          selected = _state.selected,
          opened = _state.opened,
          gallery = _state.gallery;
      return _react.default.createElement("div", {
        "data-component": "ImageGallery",
        className: theme.root
      }, (items || []).map(function (item, idx) {
        return _react.default.createElement("div", {
          key: idx,
          className: theme.itemWrapper
        }, _react.default.createElement(_ImageItem.default, _extends({}, item, {
          theme: (0, _mergeTheme.default)(theme.item || {}, item.theme || {}),
          onClick: function onClick() {
            return _this2.setState({
              selected: idx,
              opened: true
            });
          }
        })));
      }), _react.default.createElement(_reactImages.default, {
        currentImage: selected,
        images: gallery,
        isOpen: opened,
        onClickPrev: function onClickPrev() {
          _this2.setState({
            selected: selected - 1 < 0 ? selected : selected - 1
          });
        },
        onClickNext: function onClickNext() {
          _this2.setState({
            selected: selected + 1 >= items.length ? 0 : selected + 1
          });
        },
        onClose: function onClose() {
          return _this2.setState({
            opened: false
          });
        }
      }));
    }
  }]);

  return ImageGallery;
}(_react.PureComponent);

var _default = ImageGallery;
exports.default = _default;