"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _IconItemList = _interopRequireDefault(require("../IconItemList"));

var _KeyValueList = _interopRequireDefault(require("../KeyValueList"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function InfoItem(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      description = _ref.description,
      iconItems = _ref.iconItems,
      keyValueItems = _ref.keyValueItems,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "InfoItem",
    className: theme.root
  }, _react.default.createElement("div", {
    className: theme.contentWrapper
  }, title && _react.default.createElement(_Text.default, {
    "data-element": "Title",
    className: theme.title,
    wrapperClassName: theme.titleWrapper
  }, title), subtitle && _react.default.createElement(_Text.default, {
    "data-element": "Subtitle",
    className: theme.subtitle,
    wrapperClassName: theme.subtitleWrapper
  }, subtitle), description && _react.default.createElement(_Text.default, {
    "data-element": "Description",
    className: theme.description,
    wrapperClassName: theme.descriptionWrapper
  }, description)), iconItems && iconItems.length > 0 && _react.default.createElement(_IconItemList.default, {
    items: iconItems,
    theme: theme.iconItemList
  }), keyValueItems && keyValueItems.length > 0 && _react.default.createElement(_KeyValueList.default, {
    items: keyValueItems,
    theme: theme.keyValueList
  }));
}

var _default = InfoItem;
exports.default = _default;