"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _reactModal = _interopRequireDefault(require("react-modal"));

var _dotPropImmutable = _interopRequireDefault(require("dot-prop-immutable"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Modal = function Modal(props) {
  var name = props.name,
      isOpened = props.isOpened,
      dispatch = props.dispatch,
      children = props.children;
  return _react.default.createElement(_reactModal.default, {
    onRequestClose: function onRequestClose() {
      return dispatch({
        type: 'close-modal',
        name: name
      });
    },
    isOpen: isOpened,
    style: {
      overlay: {
        zIndex: 2
      }
    }
  }, children);
};

var _default = (0, _reactRedux.connect)(function (state, _ref) {
  var name = _ref.name;

  var isOpened = _dotPropImmutable.default.get(state, ['app', 'modal', name]);

  return {
    isOpened: isOpened
  };
})(Modal);

exports.default = _default;