"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _querystring = _interopRequireDefault(require("querystring"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactLoadScript = _interopRequireDefault(require("react-load-script"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function SocialToolbar(_ref) {
  var className = _ref.className,
      _ref$tag = _ref.tag,
      Component = _ref$tag === void 0 ? 'div' : _ref$tag,
      _ref$useColor = _ref.useColor,
      useColor = _ref$useColor === void 0 ? false : _ref$useColor,
      text = _ref.text,
      url = _ref.url,
      _ref$items = _ref.items,
      items = _ref$items === void 0 ? {} : _ref$items,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme,
      rest = _objectWithoutProperties(_ref, ["className", "tag", "useColor", "text", "url", "items", "theme"]);

  var _ref2 = items || {},
      email = _ref2.email,
      facebook = _ref2.facebook,
      googlePlus = _ref2.googlePlus,
      linkedIn = _ref2.linkedIn,
      pinterest = _ref2.pinterest,
      reddit = _ref2.reddit,
      tumblr = _ref2.tumblr,
      twitter = _ref2.twitter,
      whatsApp = _ref2.whatsApp,
      xing = _ref2.xing,
      zalo = _ref2.zalo;

  return _react.default.createElement(Component, _extends({}, rest, {
    "data-component": "SocialToolbar",
    className: (0, _classnames.default)(className, theme.root)
  }), email && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      email: useColor
    }, 'fa', email),
    href: "mailto:?".concat(_querystring.default.stringify({
      subject: text,
      body: url
    })),
    target: "_self",
    "aria-label": "Share by Email"
  }), facebook && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      facebook: useColor
    }, 'fa', facebook),
    href: "https://facebook.com/sharer/sharer.php?u=".concat(url),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Facebook"
  }), googlePlus && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      google: useColor
    }, 'fa', googlePlus),
    href: "https://plus.google.com/share?url=".concat(url),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Google+"
  }), linkedIn && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      linkedin: useColor
    }, 'fa', linkedIn),
    href: "https://www.linkedin.com/shareArticle?".concat(_querystring.default.stringify({
      mini: true,
      url: url,
      source: url,
      title: text,
      summary: text
    })),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on LinkedIn"
  }), pinterest && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      pinterest: useColor
    }, 'fa', pinterest),
    href: "https://pinterest.com/pin/create/button/?".concat(_querystring.default.stringify({
      url: url,
      media: url,
      summary: text
    })),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Pinterest"
  }), reddit && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      reddit: useColor
    }, 'fa', reddit),
    href: "https://reddit.com/submit/?url=".concat(url),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Reddit"
  }), tumblr && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      tumblr: useColor
    }, 'fa', tumblr),
    href: "https://www.tumblr.com/widgets/share/tool?".concat(_querystring.default.stringify({
      posttype: 'link',
      title: text,
      caption: text,
      content: url,
      canonicalUrl: url,
      shareSource: 'tumblr_share_button'
    })),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Tumblr"
  }), twitter && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      twitter: useColor
    }, 'fa', twitter),
    href: "https://twitter.com/intent/tweet/?&".concat(_querystring.default.stringify({
      text: text,
      url: url
    })),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on Twitter"
  }), whatsApp && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      whatsapp: useColor
    }, 'fa', whatsApp),
    href: "whatsapp://send?text=".concat(text ? "".concat(text, " ") : '').concat(url),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on WhatsApp"
  }), xing && _react.default.createElement("a", {
    // eslint-disable-line
    "data-component": "SocialToolbarItem",
    className: (0, _classnames.default)(theme.button, {
      xing: useColor
    }, 'fa', xing),
    href: "https://www.xing.com/app/user?".concat(_querystring.default.stringify({
      op: 'share',
      url: url,
      title: text
    })),
    target: "_blank",
    rel: "noopener noreferrer",
    "aria-label": "Share on XING"
  }), zalo && [_react.default.createElement("a", {
    key: "button",
    className: (0, _classnames.default)(theme.button, theme.zalo),
    style: {
      backgroundImage: 'url(https://stc.sp.zdn.vn/share/logo_white_s_2x_40.png)'
    }
  }, _react.default.createElement("div", {
    className: (0, _classnames.default)('zalo-share-button'),
    "data-href": url,
    "data-oaid": "579745863508352884",
    "data-layout": "2",
    "data-color": "blue",
    "data-customize": false
  })), _react.default.createElement(_reactLoadScript.default, {
    key: "script",
    url: "https://sp.zalo.me/plugins/sdk.js"
  })]);
}

var _default = SocialToolbar;
exports.default = _default;