"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dotPropImmutable = _interopRequireDefault(require("dot-prop-immutable"));

var _recompose = require("recompose");

var _reactRedux = require("react-redux");

var _reactCssThemr = require("react-css-themr");

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function ToggleButton(_ref) {
  var isOpened = _ref.isOpened,
      className = _ref.className,
      dispatch = _ref.dispatch,
      openIcon = _ref.openIcon,
      openText = _ref.openText,
      closeIcon = _ref.closeIcon,
      closeText = _ref.closeText,
      name = _ref.name,
      type = _ref.type,
      theme = _ref.theme,
      rest = _objectWithoutProperties(_ref, ["isOpened", "className", "dispatch", "openIcon", "openText", "closeIcon", "closeText", "name", "type", "theme"]);

  return _react.default.createElement("div", _extends({}, rest, {
    className: (0, _classnames.default)(theme.root, className),
    onClick: function onClick() {
      return dispatch({
        type: "toggle-".concat(type),
        payload: name
      });
    }
  }), isOpened ? _react.default.createElement(_Icon.default, {
    className: theme.icon,
    icon: closeIcon
  }) : _react.default.createElement(_Icon.default, {
    className: theme.icon,
    icon: openIcon
  }), _react.default.createElement("span", {
    className: theme.text
  }, isOpened ? closeText : openText));
}

var _default = (0, _recompose.compose)((0, _reactCssThemr.themr)('ToggleButton', {}, {
  composeTheme: 'softly'
}), (0, _reactRedux.connect)(function (state, _ref2) {
  var name = _ref2.name,
      type = _ref2.type;

  var isOpened = _dotPropImmutable.default.get(state, ['app', type, name]);

  return {
    isOpened: isOpened
  };
}))(ToggleButton);

exports.default = _default;