"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _getVideos = require("../../helpers/getVideos");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

var regExp = /src="https:\/\/www.youtube.com\/embed\/(.*?)\?feature=oembed"/;

var VideoPlayList =
/*#__PURE__*/
function (_PureComponent) {
  _inherits(VideoPlayList, _PureComponent);

  function VideoPlayList() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, VideoPlayList);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = VideoPlayList.__proto__ || Object.getPrototypeOf(VideoPlayList)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "state", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: {
        selected: 0,
        videos: []
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "loadEmbed", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(items) {
        var promises = items.map(function (video) {
          return (0, _getVideos.getYoutubeVideos)(video);
        });
        Promise.all(promises).then(function (_videos) {
          var videos = _videos.filter(function (x) {
            return !!x;
          }).map(function (_ref2) {
            var html = _ref2.html,
                rest = _objectWithoutProperties(_ref2, ["html"]);

            var tmp = regExp.exec(html);
            var id = tmp && tmp[1];
            return _extends({}, rest, {
              id: id
            });
          });

          _this.setState({
            videos: videos
          });
        });
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "renderListItem", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(item, idx) {
        var _this$props$theme = _this.props.theme,
            theme = _this$props$theme === void 0 ? {} : _this$props$theme;

        var _ref3 = item || {},
            title = _ref3.title,
            author = _ref3.author_name,
            thumb = _ref3.thumbnail_url;

        return _react.default.createElement("div", {
          key: idx,
          className: theme.itemWrapper,
          onClick: function onClick() {
            return _this.setState({
              selected: idx
            });
          }
        }, _react.default.createElement("div", {
          className: theme.imageWrapper
        }, _react.default.createElement("div", {
          className: theme.image,
          style: {
            backgroundImage: "url(".concat(thumb, ")")
          },
          alt: title
        })), _react.default.createElement("div", {
          className: theme.info
        }, _react.default.createElement("div", {
          className: theme.titleWrapper
        }, _react.default.createElement("span", {
          className: theme.title
        }, title)), _react.default.createElement("div", {
          className: theme.authorWrapper
        }, _react.default.createElement("span", {
          className: theme.author
        }, author))));
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "addClassIframe", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function value(iframe, className) {
        return iframe && iframe.replace(/src=/i, "class=\"".concat(className, "\" src=")) || null;
      }
    }), _temp));
  }

  _createClass(VideoPlayList, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var items = this.props.items;
      if (items) this.loadEmbed(items);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _props$theme = this.props.theme,
          theme = _props$theme === void 0 ? {} : _props$theme;
      var _state = this.state,
          selected = _state.selected,
          _state$videos = _state.videos,
          videos = _state$videos === void 0 ? [] : _state$videos;
      var video = videos && videos[selected] || {};
      return _react.default.createElement("div", {
        className: theme.root
      }, _react.default.createElement("div", {
        className: theme.content
      }, _react.default.createElement("div", {
        className: (0, _classnames.default)('relative', theme.iframe)
      }, _react.default.createElement("div", {
        className: "absolute absolute--fill"
      }, _react.default.createElement("iframe", {
        width: "100%",
        height: "100%",
        src: "https://www.youtube.com/embed/".concat(video.id),
        frameBorder: 0
      })))), _react.default.createElement("div", {
        className: (0, _classnames.default)('overflow-y-scroll relative', theme.listWrapper)
      }, _react.default.createElement("div", {
        className: (0, _classnames.default)('absolute absolute--fill', theme.list)
      }, videos.map(function (item, idx) {
        return _this2.renderListItem(item, idx);
      }))));
    }
  }]);

  return VideoPlayList;
}(_react.PureComponent);

var _default = VideoPlayList;
exports.default = _default;