"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setRouteLink = setRouteLink;
exports.setCloudinaryUsername = setCloudinaryUsername;
exports.getCloudinaryUsername = getCloudinaryUsername;
exports.setPlaceholderImageFn = setPlaceholderImageFn;
exports.getRouteLink = getRouteLink;
exports.getPlaceholderImage = getPlaceholderImage;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RouteLink = function RouteLink(_ref) {
  var children = _ref.children;
  return _react.default.createElement("span", null, children);
};

var Link = RouteLink;

var placeholderImageFn = function placeholderImageFn() {
  var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      width = _ref2.width,
      height = _ref2.height;

  var w = width ? parseInt(width, 10) : 100;
  var h = height ? parseInt(height, 10) : 100;
  return "http://via.placeholder.com/".concat(Math.round(w), "x").concat(Math.round(h));
};

function setRouteLink(component) {
  Link = component;
}

var cloudinaryUsername;

function setCloudinaryUsername(username) {
  cloudinaryUsername = username;
}

function getCloudinaryUsername() {
  return cloudinaryUsername;
}

function setPlaceholderImageFn(fn) {
  placeholderImageFn = fn;
}

function getRouteLink() {
  return Link;
}

function getPlaceholderImage(_ref3) {
  var boxSize = _ref3.boxSize;
  return placeholderImageFn(boxSize);
}