"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getImageLink;

var _config = require("../config");

var _getCloudinaryLink = _interopRequireDefault(require("./getCloudinaryLink"));

var _getCustomImageLink = _interopRequireDefault(require("./getCustomImageLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getImageLink(_ref) {
  var src = _ref.src,
      cloudinary = _ref.cloudinary,
      boxSize = _ref.boxSize,
      useMinimum = _ref.useMinimum,
      _ref$autoScale = _ref.autoScale,
      autoScale = _ref$autoScale === void 0 ? true : _ref$autoScale,
      _ref$usePlaceholder = _ref.usePlaceholder,
      usePlaceholder = _ref$usePlaceholder === void 0 ? true : _ref$usePlaceholder;

  if (src) {
    return (0, _getCustomImageLink.default)({
      src: src,
      boxSize: boxSize,
      useMinimum: useMinimum,
      autoScale: autoScale
    }) || src;
  }

  if (cloudinary) {
    var username = cloudinary.username,
        id = cloudinary.id;
    return {
      thumbnail: (0, _getCloudinaryLink.default)({
        username: username,
        id: id,
        boxSize: boxSize,
        useMinimum: true,
        autoScale: autoScale
      }),
      large: (0, _getCloudinaryLink.default)({
        username: username,
        id: id,
        boxSize: boxSize,
        useMinimum: false,
        autoScale: autoScale
      })
    };
  }

  if (usePlaceholder) return (0, _config.getPlaceholderImage)({
    boxSize: boxSize
  });
  return '';
}