"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getImageSize;
var steps = [50, 100, 200, 400, 800, 1200];
var lastStep = steps[steps.length - 1];
/*
 * Get actual image size. Return null mean it will use the original size
 */

function getImageSize(_ref) {
  var _boxSize = _ref.boxSize,
      useMinimum = _ref.useMinimum,
      _ref$autoScale = _ref.autoScale,
      autoScale = _ref$autoScale === void 0 ? true : _ref$autoScale;
  var boxSize = _boxSize;
  if (useMinimum) boxSize = {
    width: steps[0],
    height: steps[0]
  };
  if (!autoScale) return null;
  if (!boxSize) return null;
  var _boxSize2 = boxSize,
      _boxSize2$width = _boxSize2.width,
      width = _boxSize2$width === void 0 ? 0 : _boxSize2$width,
      _boxSize2$height = _boxSize2.height,
      height = _boxSize2$height === void 0 ? 0 : _boxSize2$height; // Do not calculate if width and height is not provided

  if (!width && !height || width + height === 0) return null;

  if (width >= height) {
    return {
      width: steps.find(function (step) {
        return step >= width;
      }) || lastStep
    };
  }

  return {
    height: steps.find(function (step) {
      return step >= height;
    }) || lastStep
  };
}