// @flow

import React from 'react'
import cn from 'classnames'

export default function Container({
  children,
  theme = {},
  ...props
}: {
  children: any,
  theme: TTheme,
}) {
  return (
    <div {...props} className={theme.root}>
      {children.map((item, idx) => (
        <div
          className={cn(
            theme.itemWrapper,
            (theme.itemsWrapper && theme.itemsWrapper[idx]) ||
              theme.defaultItemWrapper,
          )}
          key={idx}
        >
          {item}
        </div>
      ))}
    </div>
  )
}
