// @flow

import React from 'react'
import cn from 'classnames'

function Icon({
  icon,
  className,
  ...props
}: {
  icon: string,
  className?: string,
}) {
  const isFontAwesome = /(fa-)/i.test(icon)
  return (
    // Use the wrapper span to set the font-size, line-height, ...
    <span className={className}>
      <i
        {...props}
        className={cn(icon, {
          fa: isFontAwesome,
        })}
        aria-hidden="true"
      />
    </span>
  )
}

export default Icon
