// @flow

import React from 'react'
import Icon from 'components/Icon'
import Text from 'components/Text'

function IconItem({
  icon,
  title,
  subtitle,
  description,
  theme = {},
}: TIconItem) {
  return (
    <div data-component="IconItem" className={theme.root}>
      <div className={theme.iconWrapper}>
        <Icon icon={icon} className={theme.icon} />
      </div>
      <div className={theme.contentWrapper}>
        {title && (
          <Text
            data-element="Title"
            className={theme.title}
            wrapperClassName={theme.titleWrapper}
          >
            {title}
          </Text>
        )}
        {subtitle && (
          <Text
            data-element="Subtitle"
            className={theme.subtitle}
            wrapperClassName={theme.subtitleWrapper}
          >
            {subtitle}
          </Text>
        )}
        {description && (
          <Text
            data-element="Description"
            className={theme.description}
            wrapperClassName={theme.descriptionWrapper}
          >
            {description}
          </Text>
        )}
      </div>
    </div>
  )
}

export default IconItem
