// @flow

import React from 'react'
import IconItem from 'components/IconItem'

function IconItemList({ items, theme = {} }: TIconItemList) {
  return (
    <div data-component="IconItemList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <IconItem {...item} theme={theme.item} />
        </div>
      ))}
    </div>
  )
}

export default IconItemList
