/* eslint-disable camelcase */

// @flow

import interpolate from 'interpolate'
import { getCloudinaryUsername } from 'config'

export const template =
  '//res.cloudinary.com/{cloud}/image/upload{transform}/{public_id}'

export function imageFromId({ cloud, transform = '', public_id }: {
  cloud: string,
  transform?: string,
  public_id: string,
}) {
  return interpolate(template, {
    public_id,
    transform,
    cloud: cloud || getCloudinaryUsername(),
  })
}
