// @flow

import React from 'react'
import Text from 'components/Text'
import Icon from 'components/Icon'

function KeyValueItem({ icon, label, value, theme = {} }: TKeyValueItem) {
  return (
    <div data-component="KeyValueItem" className={theme.root}>
      {label && (
        <Text
          data-element="Label"
          className={theme.label}
          wrapperClassName={theme.labelWrapper}
        >
          {icon && <Icon icon={icon} className={theme.icon} />}
          {label}
        </Text>
      )}
      {value && (
        <Text
          data-element="Value"
          className={theme.value}
          wrapperClassName={theme.valueWrapper}
        >
          {value}
        </Text>
      )}
    </div>
  )
}

export default KeyValueItem
