// @flow

import React from 'react'
import KeyValueItem from 'components/KeyValueItem'

function KeyValueList({ items, theme = {} }: TKeyValueList) {
  return (
    <div data-component="KeyValueList" className={theme.root}>
      {(items || []).map((item, idx) => (
        <div key={idx} className={theme.itemWrapper}>
          <KeyValueItem
            {...item}
            theme={theme.item}
          />
        </div>
      ))}
    </div>
  )
}

export default KeyValueList
