// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import Link from '../'
import ScrollLinkExample from './examples/ScrollLink'
import ActionLinkExample from './examples/ActionLink'

const links = [
  <Link icon="fa-check" href="https://www.google.com">
    Google
  </Link>,
  <Link
    theme={{
      root: 'pa2 flex items-center gray ba b--light-gray',
      text: '',
    }}
    href="https://www.google.com"
  >
    Google
  </Link>,
]
storiesOf('Link', module)
  .add('With styling', () => (
    <div className="flex items-center">
      {links.map((item, idx) => <div key={idx} className="pa2">{item}</div>)}
    </div>
  ))
  .add('Use Href', () => (
    <div>
      <Link href="https://www.google.com">Google</Link>
    </div>
  ))
  .add('Scroll Link', () => <ScrollLinkExample />)
  .add('Action Link', () => <ActionLinkExample />)
