// @flow
import React from 'react'
import cn from 'classnames'
import { themr } from 'react-css-themr'
import styles from './styles'
// import loadStyle from './loadStyle'

type LoaderProps = {
  type: 'center-circle' | 'topleft-circle',
  cursor: string,
  className?: string,
  theme: { [key: string]: string },
}

class Loader extends React.PureComponent<LoaderProps, any> {
  static defaultProps = {
    type: 'center-circle',
    className: null,
    cursor: 'loader',
  }

  render() {
    const { className, theme, type } = this.props
    return (
      <div className={cn(theme.root, className)}>
        <style>{styles[type]}</style>
        <div id={this.props.cursor} className={theme.loader} />
      </div>
    )
  }
}

export default themr('Loader', {}, { composeTheme: 'softly' })(Loader)
