// @flow

import React from 'react'

function Section({
  title,
  subtitle,
  children,
  theme = {},
}: {
  title: string,
  subtitle: string,
  children: *,
  theme: *,
}) {
  return (
    <div className={theme.root}>
      <div className={theme.header}>
        <h3 className={theme.title}>{title}</h3>
        <h4 className={theme.subtitle}>{subtitle}</h4>
      </div>
      <div className={theme.seperator} />
      <div className={theme.body}>{children}</div>
    </div>
  )
}

export default Section
