// @flow

import React from 'react'

const RouteLink = ({ children }: { to: string, children: any }) => (
  <span>{children}</span>
)

let Link = RouteLink

let placeholderImageFn = ({ width, height } = {}) => {
  const w = width ? parseInt(width, 10) : 100
  const h = height ? parseInt(height, 10) : 100
  return `http://via.placeholder.com/${Math.round(w)}x${Math.round(h)}`
}

export function setRouteLink(component: any) {
  Link = component
}

let cloudinaryUsername
export function setCloudinaryUsername(username: string) {
  cloudinaryUsername = username
}

export function getCloudinaryUsername() {
  return cloudinaryUsername
}

export function setPlaceholderImageFn(fn: Function) {
  placeholderImageFn = fn
}

export function getRouteLink() {
  return Link
}

export function getPlaceholderImage({ boxSize }: { boxSize?: TSize }): string {
  return placeholderImageFn(boxSize)
}
