// @flow

import getImageSize from '../getImageSize'

describe('get image size', () => {
  it('auto scale = false', () => {
    const imageSize = getImageSize({
      boxSize: { width: 444, height: 444 },
      autoScale: false,
    })
    expect(imageSize).toEqual(null)
  })

  it('width > max step (1200)', () => {
    const imageSize = getImageSize({
      boxSize: { width: 1400, height: 400 },
    })
    expect(imageSize).toEqual({ width: 1200 })
  })

  it('width > height', () => {
    const imageSize = getImageSize({
      boxSize: { width: 700, height: 300 },
    })
    expect(imageSize).toEqual({ width: 800 })
  })

  it('height > width', () => {
    const imageSize = getImageSize({
      boxSize: { width: 300, height: 700 },
    })
    expect(imageSize).toEqual({ height: 800 })
  })

  it('not calculate if not have width', () => {
    const imageSize = getImageSize({
      boxSize: { height: 700 },
    })
    expect(imageSize).toEqual({ height: 800 })
  })

  it('not calculate if not have height', () => {
    const imageSize = getImageSize({
      boxSize: { width: 700 },
    })
    expect(imageSize).toEqual({ width: 800 })
  })

  it('use minimum', () => {
    const imageSize = getImageSize({
      useMinimum: true,
    })
    expect(imageSize).toEqual({ width: 50 })
  })
})
